import Template from './Template';

const Color = Template.bind({});

Color.parameters = {
  docs: {
    description: {
      story: `
You can set the color of the arrow using the \`arrow\` prop, which accepts
any CSS color string and sets both the stroke of the tail and the fill of
the arrow head. This is provided as a convenience to make it easier to set
the color of the arrow if you don't want to break out custom styles, but
you can also set the color with custom classes. The fill and stroke colors
set by custom classes will take precednece over the value specified in the
\`color\` prop.
      `,
    },
  },
};

Color.args = {
  start: 26,
  length: 45,
  reversed: true,
  color: '#3b9094',
};

export default Color;
