import classnames from 'classnames';
import MarkdownContent from '../../MarkdownContent';
import classes from './styles.module.scss';

const Block = function Block(props) {
  const {
    title,
    description,
    fullWidth,
    className,
    content,
  } = props;

  return (
    <div
      className={classnames(
        classes.block,
        className,
        { [classes['full-width']]: fullWidth },
      )}
    >
      {content || (
        <>
          <h5>{title}</h5>
          <MarkdownContent source={description} />
        </>
      )}
    </div>
  );
};

export default Block;
