import Template from './_template';

const CustomBlockChildren = Template.bind({});

CustomBlockChildren.parameters = {
  docs: {
    description: {
      story: `
By specifying the \`children\` attribute of a block you can take complete
control of the contents of that block, rendering whatever component you
would like. Custom blocks still fit into the grid structure in the same
way as standard blocks. If you want to _completely_ blow up the standard
layout (and you have a compelling reason to do so) you can either pass in one
full-width custom block that contains all of your footer content, or you can
roll your own footer entirely.
      `,
    },
  },
};

CustomBlockChildren.args = {
  content: [
    {
      title: 'Custom block',
      children: (
        <div
          style={{
            background: 'linear-gradient(90deg, papayawhip, mediumorchid)',
            color: 'black',
            fontSize: '24px',
            height: '100%',
            display: 'flex',
            justifyContent: 'center',
            alignItems: 'center',
          }}
        >
          Hello world!
        </div>
      ),
    },
    {
      title: 'Credits',
      description: '**Concept**: The Recast Team – Brakkton Booker, '
        + 'Rishika Dugyala, Teresa Wiltz \n\n **Art Direction, Design and '
        + 'Development**: Erin Aulov, Paula Friedrich \n\n'
        + '**Illustration**: Natalia Agatte',
      fullWidth: false,
    },
  ],
};

export default CustomBlockChildren;
