import Template from './_template';
import styles from './CustomClasses.module.scss';

const CustomClasses = Template.bind({});

CustomClasses.parameters = {
  docs: {
    description: {
      story: `
You can customize the default styling of the footer by passing in several
custom classes that will be attached to various pieces of the footer. You
can add a custom class to the containing \`<footer>\` tag, the container
of each individual block, and the copyright notice.
      `,
    },
  },
};

CustomClasses.args = {
  classes: {
    container: styles.container,
    block: styles.block,
    copyright: styles.copyright,
  },
  content: [
    {
      title: 'Credits',
      description: '**Concept**: The Recast Team – Brakkton Booker, '
        + 'Rishika Dugyala, Teresa Wiltz \n\n **Art Direction, Design and '
        + 'Development**: Erin Aulov, Paula Friedrich \n\n'
        + '**Illustration**: Natalia Agatte',
      fullWidth: false,
    },
  ],
};

export default CustomClasses;
