import Template from './_template';

const DisableLegalBlock = Template.bind({});

DisableLegalBlock.parameters = {
  docs: {
    description: {
      story: `
You can omit the default legal block by setting the \`disableLegalBlock\` prop
to \`true\`. Note that you should only do this if you are replacing it with
your own custom version of the legal block with the same information
presented in a different way.
      `,
    },
  },
};

DisableLegalBlock.args = {
  disableLegalBlock: true,
  content: [
    {
      title: 'Credits',
      description: 'Lots of people did some stuff,',
    },
    {
      title: 'My Custom Legal Info',
      description: 'Please don’t sue us, we’re very cool and nice.',
    },
  ],
};

export default DisableLegalBlock;
