import Template from './_template';

const FullWidth = Template.bind({});

FullWidth.parameters = {
  docs: {
    description: {
      story: `
If you want to have a specific block span the entire width of the footer on
desktop you can set the \`fullWidth\` prop to \`true\`. By default each block
only occupies a single column on desktop.
      `,
    },
  },
};

FullWidth.args = {
  content: [
    {
      title: 'About this project',
      description: 'Learn more about The Recast, why we did this project and how we chose our 40 nominees here.',
      fullWidth: true,
    },
    {
      title: 'Questions or comments',
      description: 'Let us know: Who did we get wrong? Whom did we miss? We welcome your feedback — and we\'re on the lookout for who should appear on our Power List next year. Contact us at therecast@politico.com.',
      fullWidth: false,
    },
    {
      title: 'Credits',
      description: '**Concept**: The Recast Team – Brakkton Booker, '
        + 'Rishika Dugyala, Teresa Wiltz \n\n **Art Direction, Design and '
        + 'Development**: Erin Aulov, Paula Friedrich \n\n'
        + '**Illustration**: Natalia Agatte',
      fullWidth: false,
    },
  ],
};

export default FullWidth;
